package ru.yandex.webmaster3.storage.history;

import java.util.List;

import org.joda.time.DateTime;

/**
 * User: azakharov
 * Date: 29.09.14
 * Time: 13:35
 */
public class History<T> {
    private final T indicator;
    private final List<Point<DateTime, Long>> data;

    public History(T indicator, List<Point<DateTime, Long>> data) {
        this.indicator = indicator;
        this.data = data;
    }

    public T getIndicator() {
        return indicator;
    }

    public List<Point<DateTime, Long>> getData() {
        return data;
    }
}
